<? 
require_once('../conf/connection.php');
$ventana=$_GET["ventana"]; 
$fecha = $_GET["fecha"];
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  
	  $numero=stripslashes($_GET["numero"]);//numero de pedido
	  $codigo=stripslashes($_GET["codigo"]);//codigo del producto
	  $cantidad=1;//cantidad de venta   
      $mesa=stripslashes($_GET["mesa"]);//mesa
	  
	  
	  
//extraemos el precio del producto

$query_unit="SELECT * FROM platos WHERE idplatos='$codigo'";
$res_unit=mysql_query($query_unit);
 $valor_unit=mysql_result($res_unit,0,"precio_plato");
 $stock=mysql_result($res_unit,0,"stock_plato");// estock de BD
 $grupos=mysql_result($res_unit,0,"idgrupos");// grupo

// multiplicamos cantidad por precio

$valor_total=$cantidad*$valor_unit; 

         //insertamos pedidod a la base de datos 
         $insertar="insert into detalles_pedido (iddetalles_pedido, cantidad, valor_unitario, valor_total, idplatos, numero,obs,grupo) 
		 values (";
		 $insertar.="\"\", \"$cantidad\", \"$valor_unit\", \"$valor_total\",\"$codigo\",\"$numero\",\"$obs\",\"$grupos\")";       
         mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());

        //restamos al inventario 
 			 $sel_articulos="UPDATE platos SET stock_plato=(stock_plato-'$cantidad') WHERE idplatos='$codigo'";
		     $rs_articulos=mysql_query($sel_articulos);
        
		//registramos cartola
		
		    $query_operacion="INSERT INTO  cartola_historica  (num_linea,fecha,tipo_doc,glosa,entrada,salida,art,pedido)  	 
			VALUES ('','$fecha','$tipo','','','$cantidad','$codigo','$numero')";					
	        $rs_operacion=mysql_query($query_operacion);
        
		

			mysql_close($conn);
		?>
        <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=../pedido.php?numero=<? echo $numero ?>&mesa=<? echo $mesa?>
        &grupos=<? echo $grupos?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>"> 
         <? 
		
 